Subject: bug#50766: Regexp paren pairs in query-replace-regexp prompt should be highlighted

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Oct 2021 09:19:57 +0200

martin rudalics <[email-masked]> writes:

> I have written such code for Elisp buffers and can convert and simplify
> it to make it work for minibuffers.  I suppose it would amount to about
> 100 lines to add to paren.el and would do it only if you are convinced
> that it's worth the effort.

I think that it would help users a lot when constructing regexps, so it
would be very welcome.

> It would not handle 'blink-matching-open'.

Is there any way to make that work, too?  Some people don't like
show-paren-mode, but use 'blink-matching-open' instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no